org.bouncycastle.cms.test

## Class SignedDataTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.SignedDataTest

    public class SignedDataTest
    extends TestCase

### Field Summary

Fields
`static byte[]` `xtraCounterSig`

### Constructor Summary

Constructors
Constructor and Description
`SignedDataTest(java.lang.String name)`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static Test` `suite()`
`void` `testCertOrdering1()`
`void` `testCertOrdering2()`
`void` `testCertStoreReplacement()`
`void` `testDetachedVerification()`
`void` `testDSAEncapsulated()`
`void` `testDSAEncapsulatedSubjectKeyID()`
`void` `testECDSAEncapsulated()`
`void` `testECDSAEncapsulatedSubjectKeyID()`
`void` `testECDSASHA224Encapsulated()`
`void` `testECDSASHA256Encapsulated()`
`void` `testECDSASHA384Encapsulated()`
`void` `testECDSASHA512Encapsulated()`
`void` `testECDSASHA512EncapsulatedWithKeyFactoryAsEC()`
`void` `testEncapsulatedCertStoreReplacement()`
`void` `testEncapsulatedSamples()`
`void` `testForMultipleCounterSignatures()`
`void` `testGOST3411WithECGOST3410Encapsulated()`
`void` `testGOST3411WithGOST3410Encapsulated()`
`void` `testNullContentWithSigner()`
`void` `testRIPEMD128WithRSAEncapsulated()`
`void` `testRIPEMD160WithRSAEncapsulated()`
`void` `testRIPEMD256WithRSAEncapsulated()`
`void` `testSamples()`
`void` `testSHA1AndMD5WithRSAEncapsulatedRepeated()`
`void` `testSHA1WithRSAAndAttributeTable()`
`void` `testSHA1WithRSACounterSignature()`
`void` `testSHA1WithRSAEncapsulated()`
`void` `testSHA1WithRSAEncapsulatedSubjectKeyID()`
`void` `testSHA1WithRSANoAttributes()`
`void` `testSHA1WithRSAPSS()`
`void` `testSHA1WithRSAViaConfig()`
`void` `testSHA224WithRSAEncapsulated()`
`void` `testSHA224WithRSAPSS()`
`void` `testSHA256WithRSAEncapsulated()`
`void` `testSHA256WithRSAPSS()`
`void` `testSHA384WithRSAPSS()`
`void` `testSignerStoreReplacement()`
`void` `testUnsortedAttributes()`
`void` `testWithAttributeCertificate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### xtraCounterSig

    public static byte[] xtraCounterSig

### Constructor Detail

#### SignedDataTest

    public SignedDataTest(java.lang.String name)

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testDetachedVerification

    public void testDetachedVerification()
                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1AndMD5WithRSAEncapsulatedRepeated

    public void testSHA1AndMD5WithRSAEncapsulatedRepeated()
                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSANoAttributes

    public void testSHA1WithRSANoAttributes()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSAViaConfig

    public void testSHA1WithRSAViaConfig()
                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSAAndAttributeTable

    public void testSHA1WithRSAAndAttributeTable()
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSAEncapsulated

    public void testSHA1WithRSAEncapsulated()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSAEncapsulatedSubjectKeyID

    public void testSHA1WithRSAEncapsulatedSubjectKeyID()
                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSAPSS

    public void testSHA1WithRSAPSS()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA224WithRSAPSS

    public void testSHA224WithRSAPSS()
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA256WithRSAPSS

    public void testSHA256WithRSAPSS()
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA384WithRSAPSS

    public void testSHA384WithRSAPSS()
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA224WithRSAEncapsulated

    public void testSHA224WithRSAEncapsulated()
                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA256WithRSAEncapsulated

    public void testSHA256WithRSAEncapsulated()
                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRIPEMD128WithRSAEncapsulated

    public void testRIPEMD128WithRSAEncapsulated()
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRIPEMD160WithRSAEncapsulated

    public void testRIPEMD160WithRSAEncapsulated()
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRIPEMD256WithRSAEncapsulated

    public void testRIPEMD256WithRSAEncapsulated()
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSAEncapsulated

    public void testECDSAEncapsulated()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSAEncapsulatedSubjectKeyID

    public void testECDSAEncapsulatedSubjectKeyID()
                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSASHA224Encapsulated

    public void testECDSASHA224Encapsulated()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSASHA256Encapsulated

    public void testECDSASHA256Encapsulated()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSASHA384Encapsulated

    public void testECDSASHA384Encapsulated()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSASHA512Encapsulated

    public void testECDSASHA512Encapsulated()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECDSASHA512EncapsulatedWithKeyFactoryAsEC

    public void testECDSASHA512EncapsulatedWithKeyFactoryAsEC()
                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testDSAEncapsulated

    public void testDSAEncapsulated()
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testDSAEncapsulatedSubjectKeyID

    public void testDSAEncapsulatedSubjectKeyID()
                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGOST3411WithGOST3410Encapsulated

    public void testGOST3411WithGOST3410Encapsulated()
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGOST3411WithECGOST3410Encapsulated

    public void testGOST3411WithECGOST3410Encapsulated()
                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSACounterSignature

    public void testSHA1WithRSACounterSignature()
                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testUnsortedAttributes

    public void testUnsortedAttributes()
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testNullContentWithSigner

    public void testNullContentWithSigner()
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testWithAttributeCertificate

    public void testWithAttributeCertificate()
                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCertStoreReplacement

    public void testCertStoreReplacement()
                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testEncapsulatedCertStoreReplacement

    public void testEncapsulatedCertStoreReplacement()
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCertOrdering1

    public void testCertOrdering1()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCertOrdering2

    public void testCertOrdering2()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSignerStoreReplacement

    public void testSignerStoreReplacement()
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testEncapsulatedSamples

    public void testEncapsulatedSamples()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSamples

    public void testSamples()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testForMultipleCounterSignatures

    public void testForMultipleCounterSignatures()
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`